package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (验收内容)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (验收内容) 实体类
 */
@Data
@TableName(value = "acceptance_content", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(验收内容)")
public class AcceptanceContent extends BaseEntity {

    /**
     * (验收记录表ID)
     */
    @ApiModelProperty(value="(验收记录表ID)")
    private String acceptanceRecordFormId;

    /**
     * (数量一致)
     */
    @ApiModelProperty(value="(数量一致)")
    private String consistentQuantity;

    /**
     * (数量一致备注)
     */
    @ApiModelProperty(value="(数量一致备注)")
    private String cRemark;

    /**
     * (供货周期)
     */
    @ApiModelProperty(value="(供货周期)")
    private String deliveryCycle;

    /**
     * (供货周期备注)
     */
    @ApiModelProperty(value="(供货周期备注)")
    private String dRemark;

    /**
     * (包装完好)
     */
    @ApiModelProperty(value="(包装完好)")
    private String packingSound;

    /**
     * (包装完好备注备注)
     */
    @ApiModelProperty(value="(包装完好备注备注)")
    private String pRemark;

    /**
     * (品牌、型号一致)
     */
    @ApiModelProperty(value="(品牌、型号一致)")
    private String theSameBrandAndModel;

    /**
     * (品牌、型号一致备注)
     */
    @ApiModelProperty(value="(品牌、型号一致备注)")
    private String tRemark;

    /**
     * (有效期)
     */
    @ApiModelProperty(value="(有效期)")
    private String validityPeriod;

    /**
     * (有效期备注)
     */
    @ApiModelProperty(value="(有效期备注)")
    private String vRemark;





    /**
     * acceptanceContentId
     */
    @TableId(value = "acceptance_content_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="acceptanceContentId")
    private String acceptanceContentId;


}
