package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 服务商/供应商响应、资质和售后情况
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe 服务商/供应商响应、资质和售后情况 实体类
 */
@Data
@TableName(value = "after_sale_situation", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "服务商/供应商响应、资质和售后情况")
public class AfterSaleSituation extends BaseEntity {

    /**
     * (服务商/供应商评价表ID)
     */
    @ApiModelProperty(value="(服务商/供应商评价表ID)")
    private String evaluationFormId;

    /**
     * (供应商营业执照)
     */
    @ApiModelProperty(value="(供应商营业执照)")
    private String supplierBusinessLicense;

    /**
     * (供应商通过质量保证体系)
     */
    @ApiModelProperty(value="(供应商通过质量保证体系)")
    private String supplierPassesQualityAssuranceSystem;

    /**
     * (供应商产品认证)
     */
    @ApiModelProperty(value="(供应商产品认证)")
    private String supplierProductCertification;

    /**
     * afterSaleSituationId
     */
    @TableId(value = "after_sale_situation_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="afterSaleSituationId")
    private String afterSaleSituationId;


}
