package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (采购目录明细)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (采购目录明细) 实体类
 */
@Data
@TableName(value = "catalogue_details", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(采购目录明细)")
public class CatalogueDetails extends BaseEntity {

    /**
     * (品牌)
     */
    @ApiModelProperty(value="(品牌)")
    private String brand;

    /**
     * (类别)
     */
    @ApiModelProperty(value="(类别)")
    private String category;

    /**
     * 偏差/不确定度
     */
    @ApiModelProperty(value="偏差/不确定度")
    private String deviationOrUncertainty;

    /**
     * 编号(标准物质)
     */
    @ApiModelProperty(value="编号(标准物质)")
    private String number;

    /**
     * 包装份数
     */
    @ApiModelProperty(value="包装份数")
    private String packagedCopies;

    /**
     * 采购目录ID
     */
    @ApiModelProperty(value="采购目录ID")
    private String purchaseCatalogueId;

    /**
     * (采购目录编号)
     */
    @ApiModelProperty(value="(采购目录编号)")
    private String purchaseCatalogueNumber;

    /**
     * 试剂耗材ID
     */
    @ApiModelProperty(value="试剂耗材ID")
    private String reagentConsumableId;

    /**
     * (种类)
     */
    @ApiModelProperty(value="(种类)")
    private String species;

    /**
     * (规格型号)
     */
    @ApiModelProperty(value="(规格型号)")
    private String specificationAndModel;

    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueOrPurity;

    /**
     * 单价
     */
    @ApiModelProperty(value="单价")
    private Double unitPrice;





    /**
     * catalogueDetailsId
     */
    @TableId(value = "catalogue_details_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="catalogueDetailsId")
    private String catalogueDetailsId;


}
