package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (集中采购申请)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (集中采购申请) 实体类
 */
@Data
@TableName(value = "centralized_request", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(集中采购申请)")
public class CentralizedRequest extends BaseEntity {

    /**
     * (申请人ID)
     */
    @ApiModelProperty(value="(申请人ID)")
    private String applicantId;

    /**
     * (审核意见)
     */
    @ApiModelProperty(value="(审核意见)")
    private String auditOpinion;

    /**
     * (审核结果)
     */
    @ApiModelProperty(value="(审核结果)")
    private String auditResult;

    /**
     * (审核时间)
     */
    @ApiModelProperty(value="(审核时间)")
    private LocalDateTime auditTime;

    /**
     * (申请日期)
     */
    @ApiModelProperty(value="(申请日期)")
    private LocalDateTime dateOfApplication;

    /**
     * (部门负责人ID)
     */
    @ApiModelProperty(value="(审核人ID)")
    private String auditorId;

    /**
     * 采购计划ID
     */
    @ApiModelProperty(value="采购计划ID")
    private String purchasingPlanId;

    /**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;





    /**
     * centralizedRequestId
     */
    @TableId(value = "centralized_request_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="centralizedRequestId")
    private String centralizedRequestId;


}
