package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (检查内容)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (检查内容) 实体类
 */
@Data
@TableName(value = "check_content", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(检查内容)")
public class CheckContent extends BaseEntity {

    /**
     * 品牌
     */
    @ApiModelProperty(value="品牌")
    private String brand;

    /**
     * (符合性检查记录表ID)
     */
    @ApiModelProperty(value="(符合性检查记录表ID)")
    private String complianceCheckId;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (规格型号)
     */
    @ApiModelProperty(value="(规格型号)")
    private String specificationAndModel;

    /**
     * checkContentId
     */
    @TableId(value = "check_content_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="checkContentId")
    private String checkContentId;






}
