package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (服务商/供应商评价表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (服务商/供应商评价表) 实体类
 */
@Data
@TableName(value = "evaluation_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(服务商/供应商评价表)")
public class EvaluationForm extends BaseEntity {

    /**
     * (采购负责人评价意见)
     */
    @ApiModelProperty(value="(采购负责人评价意见)")
    private String commentsFromThePurchasingManager;

    /**
     * (技术负责人评价意见)
     */
    @ApiModelProperty(value="(技术负责人评价意见)")
    private String commentsFromTheTechnicalDirector;

    /**
     * (联系电话)
     */
    @ApiModelProperty(value="(联系电话)")
    private String contactNumber;

    /**
     * (联系人)
     */
    @ApiModelProperty(value="(联系人)")
    private String contactPerson;

    /**
     * (采购负责人ID)
     */
    @ApiModelProperty(value="(采购负责人ID)")
    private String purchasingManagerId;

    /**
     * (质量负责人评价意见)
     */
    @ApiModelProperty(value="(质量负责人评价意见)")
    private String qualitySupervisorEvaluationComments;

    /**
     * (质量负责人ID)
     */
    @ApiModelProperty(value="(质量负责人ID)")
    private String qualitySupervisorId;

    /**
     * (服务商/供应商ID)
     */
    @ApiModelProperty(value="(服务商/供应商ID)")
    private String serviceProviderAndSupplierId;

    /**
     * (技术负责人ID)
     */
    @ApiModelProperty(value="(技术负责人ID)")
    private String technicalDirectorId;





    /**
     * evaluationFormId
     */
    @TableId(value = "evaluation_form_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="evaluationFormId")
    private String evaluationFormId;

    /**
     * supplierInformationId
     */
    @ApiModelProperty(value="supplierInformationId")
    private String supplierInformationId;


}
