package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (服务商/供应商评价结果)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (服务商/供应商评价结果) 实体类
 */
@Data
@TableName(value = "evaluation_result", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(服务商/供应商评价结果)")
public class EvaluationResult extends BaseEntity {

    /**
     * (对供应品检验校准效率)
     */
    @ApiModelProperty(value="(对供应品检验校准效率)")
    private String checkAndCalibrateEfficiencyOfSupplies;

    /**
     * (对供应商总体服务是否满意)
     */
    @ApiModelProperty(value="(对供应商总体服务是否满意)")
    private String overallSupplierServiceSatisfaction;

    /**
     * (服务商/供应商评价表id)
     */
    @ApiModelProperty(value="(服务商/供应商评价表id)")
    private String evaluationFormId;

    /**
     * (供应商态度)
     */
    @ApiModelProperty(value="(供应商态度)")
    private String supplierAttitude;

    /**
     * (供应商设备与设施)
     */
    @ApiModelProperty(value="(供应商设备与设施)")
    private String supplierEquipmentAndFacilities;

    /**
     * (供应商技术与管理能力)
     */
    @ApiModelProperty(value="(供应商技术与管理能力)")
    private String supplierTechnologyAndManagementCapability;

    /**
     * (供应商交货是否及时)
     */
    @ApiModelProperty(value="(供应商交货是否及时)")
    private String whetherTheSupplierDeliversOnTime;





    /**
     * evaluationResultId
     */
    @TableId(value = "evaluation_result_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="evaluationResultId")
    private String evaluationResultId;


}
