package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准物质期间核查计划和确认表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (标准物质期间核查计划和确认表) 实体类
 */
@Data
@TableName(value = "period_verification_plan", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准物质期间核查计划和确认表)")
public class PeriodVerificationPlan extends BaseEntity {

    /**
     * (技术负责人审核意见)
     */
    @ApiModelProperty(value="(技术负责人审核意见)")
    private String auditOpinionOfTechnical;

    /**
     * (技术负责人审核结果)
     */
    @ApiModelProperty(value="(技术负责人审核结果)")
    private String auditResultOfTechnical;

    /**
     * (技术负责人审核时间)
     */
    @ApiModelProperty(value="(技术负责人审核时间)")
    private LocalDateTime auditTimeOfTechnical;

    /**
     * (提交状态)
     */
    @ApiModelProperty(value="(提交状态)")
    private Integer commitStatus;

    /**
     * (下次核查日期)
     */
    @ApiModelProperty(value="(下次核查日期)")
    private LocalDateTime dateOfNextCheck;

    /**
     * (偏差/不确定度)
     */
    @ApiModelProperty(value="(偏差/不确定度)")
    private String deviationAndUncertainty;

    /**
     * (核查人ID)
     */
    @ApiModelProperty(value="(核查人ID)")
    private String inspectorId;

    /**
     * (指导书ID)
     */
    @ApiModelProperty(value="(指导书ID)")
    private String instructionBookId;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String number;

    /**
     * (计划核查周期)
     */
    @ApiModelProperty(value="(计划核查周期)")
    private LocalDateTime plannedVerificationCycle;

    /**
     * (标准物质管理员ID)
     */
    @ApiModelProperty(value="(标准物质管理员ID)")
    private String managerId;

    /**
     * (标准物质ID)
     */
    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialid;

    /**
     * (计划核查日期)
     */
    @ApiModelProperty(value="(计划核查日期)")
    private LocalDateTime scheduledVerificationDate;

    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueAndPurity;

    /**
     * (技术负责人ID)
     */
    @ApiModelProperty(value="(技术负责人ID)")
    private String technicalDirectorId;

    /**
     * (核查依据)
     */
    @ApiModelProperty(value="(核查依据)")
    private String verificationBasis;

    /**
     * (核查实施日期)
     */
    @ApiModelProperty(value="(核查实施日期)")
    private LocalDateTime implementationDate;

    /**
     * (核查结果)
     */
    @ApiModelProperty(value="(核查结果)")
    private String verificationResult;





    /**
     * periodVerificationPlanId
     */
    @TableId(value = "period_verification_plan_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="periodVerificationPlanId")
    private String periodVerificationPlanId;


}
