package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (采购目录)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (采购目录) 实体类
 */
@Data
@TableName(value = "purchase_catalogue", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(采购目录)")
public class PurchaseCatalogue extends BaseEntity {

    /**
     * (质量负责人审核意见)
     */
    @ApiModelProperty(value="(一级审核意见)")
    private String auditOpinionOfPrimary;

    /**
     * (技术负责人审核意见)
     */
    @ApiModelProperty(value="(二级审核意见)")
    private String auditOpinionOfSecondary;

    /**
     * (质量负责人审核结果)
     */
    @ApiModelProperty(value="(一级审核结果)")
    private String auditResultOfPrimary;

    /**
     * (技术负责人审核结果)
     */
    @ApiModelProperty(value="(二级审核结果)")
    private String auditResultOfSecondary;

    /**
     * (质量负责人审核时间)
     */
    @ApiModelProperty(value="(一级审核时间)")
    private LocalDateTime auditTimeOfPrimary;

    /**
     * (技术负责人审核时间)
     */
    @ApiModelProperty(value="(二级审核时间)")
    private LocalDateTime auditTimeOfSecondary;

    /**
     * (质量负责人ID)
     */
    @ApiModelProperty(value="(一级审核人ID)")
    private String primaryAuditorId;

    /**
     * 发布日期
     */
    @ApiModelProperty(value="发布日期")
    private LocalDateTime releaseDate;

    /**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;


    /**
     * (技术负责人ID)
     */
    @ApiModelProperty(value="(二级审核人ID)")
    private String secondaryAuditorId;

    /**
     * purchaseCatalogueId
     */
    @TableId(value = "purchase_catalogue_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="purchaseCatalogueId")
    private String purchaseCatalogueId;


}
