package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (采购计划)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe (采购计划) 实体类
 */
@Data
@TableName(value = "purchasing_plan", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(采购计划)")
public class PurchasingPlan extends BaseEntity {

    /**
     * (经费预算)
     */
    @ApiModelProperty(value="(经费预算)")
    private String appropriationBudget;

    /**
     * (制定人)
     */
    @ApiModelProperty(value="(制定人)")
    private String CreateId;


    /**
     * (审批意见)
     */
    @ApiModelProperty(value="(审批意见)")
    private String approvalOpinion;

    /**
     * (审批结果)
     */
    @ApiModelProperty(value="(审批结果)")
    private String approvalResult;

    /**
     * (审批时间)
     */
    @ApiModelProperty(value="(审批时间)")
    private LocalDateTime approvalTime;

    /**
     * (一级审核意见)
     */
    @ApiModelProperty(value="(一级审核意见)")
    private String auditOpinionOfPrimary;

    /**
     * (一级审核结果)
     */
    @ApiModelProperty(value="(一级审核结果)")
    private String auditResultOfPrimary;

    /**
     * (一级审核时间)
     */
    @ApiModelProperty(value="(一级审核时间)")
    private LocalDateTime auditTimeOfPrimary;


    /**
     * (审批人ID)
     */
    @ApiModelProperty(value="(审批人ID)")
    private String approverId;



    /**
     * (采购清单ID)
     */
    @ApiModelProperty(value="(采购清单ID)")
    private String purchaseListId;

    /**
     * (一级审核人ID)
     */
    @ApiModelProperty(value="(一级审核人ID)")
    private String primaryAuditorId;

    /**
     * 发布日期
     */
    @ApiModelProperty(value="发布日期")
    private LocalDateTime releaseDate;

    /**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;

    /**
     * purchasingPlanId
     */
    @TableId(value = "purchasing_plan_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="purchasingPlanId")
    private String purchasingPlanId;


}
