package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材类)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (试剂耗材类) 实体类
 */
@Data
@TableName(value = "reagent_consumables", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材类)")
public class ReagentConsumables extends BaseEntity {

    /**
     * 品牌
     */
    @ApiModelProperty(value="品牌")
    private String brand;

    /**
     * 类别
     */
    @ApiModelProperty(value="类别")
    private String catagory;

    /**
     * 偏差/不确定度
     */
    @ApiModelProperty(value="偏差/不确定度")
    private String deviationOrUncertainty;

    /**
     * 名称
     */
    @ApiModelProperty(value="名称")
    private String name;

    /**
     * 种类
     */
    @ApiModelProperty(value="种类")
    private String species;

    /**
     * 规格型号
     */
    @ApiModelProperty(value="规格型号")
    private String specificationAndModel;





    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueOrPurity;

    /**
     * (技术参数)
     */
    @ApiModelProperty(value="(技术参数)")
    private String technicalParameter;

    /**
     * 单价
     */
    @ApiModelProperty(value="单价")
    private Double unitPrice;

    /**
     * reagentConsumablesId
     */
    @TableId(value = "reagent_consumables_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="reagentConsumablesId")
    private String reagentConsumablesId;


}
