package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材集合)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe (试剂耗材集合) 实体类
 */
@Data
@TableName(value = "reagent_consumables_set", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材集合)")
public class ReagentConsumablesSet extends BaseEntity {

    /**
     * (试剂耗材领用申请表ID)
     */
    @ApiModelProperty(value="(试剂耗材领用申请表ID)")
    private String applicationForUseId;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;





    /**
     * reagentConsumablesSetid
     */
    @TableId(value = "reagent_consumables_setID", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="reagentConsumablesSetid")
    private String reagentConsumablesSetid;


}
