package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材领用记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (试剂耗材领用记录表) 实体类
 */
@Data
@TableName(value = "requisition_record", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材领用记录表)")
public class RequisitionRecord extends BaseEntity {

    /**
     * (领用日期)
     */
    @ApiModelProperty(value="(领用日期)")
    private LocalDateTime dateOfClaim;

    /**
     * (领用量)
     */
    @ApiModelProperty(value="(领用量)")
    private Integer drawingamount;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (领用人)
     */
    @ApiModelProperty(value="(领用人)")
    private String recipientId;

    /**
     * (备注)
     */
    @ApiModelProperty(value="(备注)")
    private String remarks;





    /**
     * (规格型号)
     */
    @ApiModelProperty(value="(规格型号)")
    private String specificationAndModel;

    /**
     * requisitionRecordId
     */
    @TableId(value = "requisition_record_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="requisitionRecordId")
    private String requisitionRecordId;


}
