package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 签收批次明细
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe 签收批次明细 实体类
 */
@Data
@TableName(value = "signed_batch_list", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "签收批次明细")
public class SignedBatchList extends BaseEntity {

    /**
     * (批次)
     */
    @ApiModelProperty(value="(批次)")
    private String batch;

    /**
     * (批号)
     */
    @ApiModelProperty(value="(批号)")
    private String batchnumber;

    /**
     * (生产日期)
     */
    @ApiModelProperty(value="(生产日期)")
    private LocalDateTime dateOfProduction;

    /**
     * 购置日期
     */
    @ApiModelProperty(value="购置日期")
    private LocalDateTime dateOfPurchase;

    /**
     * 签收日期
     */
    @ApiModelProperty(value="签收日期")
    private LocalDateTime dateOfReceipt;

    /**
     * (有效日期)
     */
    @ApiModelProperty(value="(有效日期)")
    private LocalDateTime expirationDate;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantity;





    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * 签收人ID
     */
    @ApiModelProperty(value="签收人ID")
    private String signatoryId;

    /**
     * 签收记录表ID
     */
    @ApiModelProperty(value="签收记录表ID")
    private String signingRecordFormId;

    /**
     * (供应商ID)
     */
    @ApiModelProperty(value="(供应商ID)")
    private String supplierId;

    /**
     * (预警值)
     */
    @ApiModelProperty(value="(预警值)")
    private Integer warningvalue;

    /**
     * signedBatchListId
     */
    @TableId(value = "signed_batch_list_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="signedBatchListId")
    private String signedBatchListId;


}
