package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 签收记录表
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe 签收记录表 实体类
 */
@Data
@TableName(value = "signing_record_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "签收记录表")
public class SigningRecordForm extends BaseEntity {

    /**
     * 采购清单ID
     */
    @ApiModelProperty(value="采购清单ID")
    private String purchaseListId;

    /**
     * (签收人)
     */
    @ApiModelProperty(value="(签收人)")
    private String signatory;

    /**
     * 状态
     */
    @ApiModelProperty(value="状态")
    private String status;

    /**
     * 总数量
     */
    @ApiModelProperty(value="总数量")
    private String totalQuantity;





    /**
     * signingRecordFormId
     */
    @TableId(value = "signing_record_form_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="signingRecordFormId")
    private String signingRecordFormId;


}
