package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准物质停用/报废销毁/恢复/降级使用审批表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (标准物质停用/报废销毁/恢复/降级使用审批表) 实体类
 */
@Data
@TableName(value = "standard_material_approval_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准物质停用/报废销毁/恢复/降级使用审批表)")
public class StandardMaterialApprovalForm extends BaseEntity {

    /**
     * (经办人)
     */
    @ApiModelProperty(value="(经办人)")
    private String agentId;

    /**
     * (申请人)
     */
    @ApiModelProperty(value="(申请人)")
    private String applicantId;

    /**
     * (申请时间)
     */
    @ApiModelProperty(value="(申请时间)")
    private LocalDateTime applicationTime;

    /**
     * (主任审批意见)
     */
    @ApiModelProperty(value="(主任审批意见)")
    private String approvalOpinion;

    /**
     * (主任审批结果)
     */
    @ApiModelProperty(value="(主任审批结果)")
    private String approvalResult;

    /**
     * (主任审批时间)
     */
    @ApiModelProperty(value="(主任审批时间)")
    private String approvalTime;





    /**
     * (标准物质管理员审核意见)
     */
    @ApiModelProperty(value="(标准物质管理员审核意见)")
    private String auditOpinionOfManager;

    /**
     * (技术负责人审核意见)
     */
    @ApiModelProperty(value="(技术负责人审核意见)")
    private String auditOpinionOfTechnical;

    /**
     * (标准物质管理员审核结果)
     */
    @ApiModelProperty(value="(标准物质管理员审核结果)")
    private String auditResultOfManager;

    /**
     * (技术负责人审核结果)
     */
    @ApiModelProperty(value="(技术负责人审核结果)")
    private String auditResultOfTechnical;

    /**
     * (标准物质管理员审核时间)
     */
    @ApiModelProperty(value="(标准物质管理员审核时间)")
    private String auditTimeOfManager;

    /**
     * (技术负责人审核时间)
     */
    @ApiModelProperty(value="(技术负责人审核时间)")
    private String auditTimeOfTechnical;

    /**
     * (批号)
     */
    @ApiModelProperty(value="(批号)")
    private String batchNumber;

    /**
     * (提交状态)
     */
    @ApiModelProperty(value="(提交状态)")
    private Integer commitStatus;

    /**
     * (主任id)
     */
    @ApiModelProperty(value="(主任id)")
    private String directorId;

    /**
     * (定值结果)
     */
    @ApiModelProperty(value="(定值结果)")
    private String fixedResult;

    /**
     * (制造商)
     */
    @ApiModelProperty(value="(制造商)")
    private String manufacturerId;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String number;

    /**
     * (处理时间)
     */
    @ApiModelProperty(value="(处理时间)")
    private LocalDateTime processingTime;

    /**
     * (购置时间)
     */
    @ApiModelProperty(value="(购置时间)")
    private LocalDateTime purchaseTime;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    /**
     * (申请原因)
     */
    @ApiModelProperty(value="(申请原因)")
    private String reasonForApplication;

    /**
     * (标准物质id)
     */
    @ApiModelProperty(value="(标准物质id)")
    private String referenceMaterialId;

    /**
     * (标准物质管理员ID)
     */
    @ApiModelProperty(value="(标准物质管理员ID)")
    private String managerId;

    /**
     * (备注)
     */
    @ApiModelProperty(value="(备注)")
    private String remarks;

    /**
     * (规格)
     */
    @ApiModelProperty(value="(规格)")
    private String specification;

    /**
     * (技术负责人id)
     */
    @ApiModelProperty(value="(技术负责人id)")
    private String technicalDirectorId;

    /**
     * standardMaterialApprovalFormId
     */
    @TableId(value = "standard_material_approval_form_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="standardMaterialApprovalFormId")
    private String standardMaterialApprovalFormId;


}
