package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.dto.AuditAndApproveDTO;
import digital.laboratory.platform.reagent.dto.CentralizedRequestDTO;
import digital.laboratory.platform.reagent.entity.CentralizedRequest;
import digital.laboratory.platform.reagent.entity.DetailsOfCentralized;
import digital.laboratory.platform.reagent.vo.CentralizedRequestVO;

import java.util.List;

/**
 * (集中采购申请)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (集中采购申请) 服务类
 */
public interface CentralizedRequestService extends IService<CentralizedRequest> {
    List<DetailsOfCentralized> saveRequestById(CentralizedRequest centralizedRequest, List<CentralizedRequestDTO> centralizedRequestDTOList, DLPUser dlpUser);

    CentralizedRequest commit(String centralizedRequestId);

    DetailsOfCentralized editDetails(CentralizedRequestDTO centralizedRequestDto);

    DetailsOfCentralized addDetails(CentralizedRequestDTO centralizedRequestDto);

    List<DetailsOfCentralized> delRequestById(String centralizedRequestId);

    CentralizedRequest checkRequest(AuditAndApproveDTO auditAndApproveDto, DLPUser dlpUser);

    IPage<CentralizedRequestVO> getCentralizedRequestVOPage(IPage<CentralizedRequest> page, QueryWrapper<CentralizedRequest> qw);

    List<CentralizedRequestVO> getCentralizedRequestVOList(QueryWrapper<CentralizedRequest> qw);

    CentralizedRequestVO getCentralizedRequestVO(String centralizedRequestId);
}
