package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.PurchaseListDetails;
import digital.laboratory.platform.reagent.mapper.PurchaseListDetailsMapper;
import digital.laboratory.platform.reagent.service.PurchaseListDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (采购清单明细)服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购清单明细) 服务实现类
 */
@Service
public class PurchaseListDetailsServiceImpl extends ServiceImpl<PurchaseListDetailsMapper, PurchaseListDetails> implements PurchaseListDetailsService {
    @Autowired
    private PurchaseListDetailsService purchaseListDetailsService;

    @Override
    public List<PurchaseListDetails> getPurchaseListDetailsVOList(String purchaseListId) {

        LambdaQueryWrapper<PurchaseListDetails> purchaseListDetailsLambdaQueryWrapper = new LambdaQueryWrapper<>();

        purchaseListDetailsLambdaQueryWrapper.eq(PurchaseListDetails::getPurchaseListId, purchaseListId);

        List<PurchaseListDetails> list = purchaseListDetailsService.list(purchaseListDetailsLambdaQueryWrapper);

        return list;

    }
}
